# all build-args needs to be definded with --build-arg (default empty values will not build!)

# see: https://github.com/mlocati/docker-php-extension-installer
# https://docu.ilias.de/goto_docu_pg_124784_367.html

ARG BASE_IMAGE=
ARG BASE_TAG=

FROM ${BASE_IMAGE}:${BASE_TAG}
LABEL maintainer="Stefan Schneider <eqsoft4@gmail.com>"

USER root

ENV DEBIAN_FRONTEND noninteractive
ENV TZ=Europe/Berlin
SHELL ["/bin/bash", "-c"]

ARG UID=33
ARG GID=33

ENV JAVA_SERVER_PATH=/var/www/html/Services/WebServices/RPC/lib
ENV JAVA_SERVER_START=1
ENV IL_SERVER_INI=/var/www/data/ilServer.ini

RUN <<EOF
set -e
apt-get update
apt-get install -y --no-install-recommends \
tzdata \
curl \
procps \
apt-transport-https \
ca-certificates \
software-properties-common \
gettext \
nano
ln -snf /usr/share/zoneinfo/$TZ /etc/localtime
echo $TZ > /etc/timezone
EOF

ARG BUILD_NO
COPY init.sh loop.sh /usr/local/bin/
RUN chmod -R 755 /usr/local/bin
EXPOSE 11111
USER "$UID:$GID"
CMD ["/usr/local/bin/init.sh"]
